Bug 168939 - Tomcat Administration webapp throws error when committing changes
Tomcat Administration webapp throws error when committing changes
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 10:34 EDT by Matthew Broadhead
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 05:50:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Broadhead 2005-09-21 10:34:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
After making changes to configuration in "Tomcat Administration" program (e.g. logging into http://localhost:8080/admin on fresh install) when "Commit Changes" button is pressed it throws error "Error invoking operation storeConfig".  This seems to be down to the owner of the files being edited (e.g. /etc/tomcat5/server.xml)  being set to be root:root whereas it would expect them to be tomcat:tomcat (as tomcat5 runs as user tomcat).

Version-Release number of selected component (if applicable):
tomcat5-5.0.30-5jpp_6fc

How reproducible:
Always

Steps to Reproduce:
1.  sudo yum install tomcat5 tomcat5-admin-webapps tomcat5-webapps
2.  Desktop -> System Settings -> Server Settings -> Services
3.  Start tomcat5 service
4.  Go to http://localhost:8080/admin
5.  Click "Commit Changes" button on top frame (after making changes or not it is still the same!)
  

Actual Results:  Throws error "Error invoking operation storeConfig"

Expected Results:  Should have committed changes to configuration file

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:06:49 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.